Index: Dev/trunk/classes/SessionEditorWidget.php
===================================================================
--- Dev/trunk/classes/SessionEditorWidget.php	(revision 201)
+++ Dev/trunk/classes/SessionEditorWidget.php	(revision 201)
@@ -0,0 +1,112 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * A visual interface object for editing and viewing a session's pipeline.
+ *
+ * @author Tschipper
+ */
+class SessionEditorWidget {
+
+    // properties
+    private $loadedSession;
+    private $selectedStep;
+    private $dbi;
+
+    public function __construct() {
+        $this->dbi = new DatabaseInterface();
+    }
+
+    public function init() {
+        $stringPipeline = "";
+        $stringPipelineType = "";
+        $stringPipelineUpdated = "";
+        $numberOfSteps = 0;
+
+        if (is_array($this->loadedSession->pipeline)) {
+            foreach ($this->loadedSession->pipeline as $object) {
+                $stringPipeline .= "$object->uid,";
+                $stringPipelineType .= get_class($object) . ",";
+                $stringPipelineUpdated .= "0,";
+                $numberOfSteps++;
+            }
+        } else {
+            $stringPipeline = $this->loadedSession->pipeline;
+            $stringPipelineType = $_POST['pipelineTypes'];
+            $stringPipelineUpdated = $_POST['pipelineUpdatedField'];
+        }
+        ?>
+        <br />
+
+        <div id="sequencer" class="largeFrame">
+            <div class="largeTitle">Name <?php echo $this->loadedSession->title; ?></div>
+            
+            <div id="seqContent" class="innerLargeFrame">
+                <div id="seqContentWrapper"></div>
+            </div>
+
+            <div class="controls">
+                <input type="button" id="moveSelectedL" value="< Move" class="smallButton"  onClick="moveStep(-1);" />
+                <input type="button" id="moveSelectedR" value="Move >" class="smallButton"  onClick="moveStep(1);" />
+                <input type="button" id="editSelected" value="Edit step" class="smallButton" onClick="editStep();" />
+                <input type="button" id="deleteSelected" value="Delete step" class="smallButton" onClick="deleteStep();" />
+                <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="smallButton dis" disabled="true"/>
+                <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
+                <input type="button" value="debug_save" onClick="savePipeline(true);" />
+            </div>
+            
+            <div id="hiddenInputs">
+                <input type="hidden" id="selectedStepField" value="" />
+                <input type="hidden" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
+                <input type="hidden" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
+                <input type="hidden" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
+                <input type="hidden" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
+                <input type="hidden" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+                <input type="hidden" id="sessionTitleField" value="<?php echo $this->loadedSession->title; ?>" />
+            </div>
+        </div>
+
+        
+        <?php
+    }
+
+    public function Javascript() {
+        ?>
+        <script type="text/javascript" src="js/generalScripts.js"></script>
+        <script type="text/javascript" src="js/sequencerScripts.js"></script>
+        <script type="text/javascript" src="js/jquery.js"></script>
+        <script type="text/javascript">
+            $(document).ready(function() {
+                loadSequencer();
+            });
+        </script>
+        <?php
+    }
+
+    public function LoadSession() {   // Initialize variables on page load.
+        // Redirect if no session is set
+        if (!isset($_SESSION['currentSession'])) {
+            redirect("selectSession.php");
+        }
+        // Store the current session in internal variable
+        $results = $this->dbi->get("Session", array("uid"=> $_SESSION['currentSession']));
+        if (!empty($results)) {
+            if ($results[0]->evaluate()) {
+                $this->loadedSession = $results[0];
+            }
+        }
+        else {
+            // Throw error and quit if no results found
+            die("No session with that UID found!");
+        }
+    }
+
+    public function HandlePostData() {
+                
+    }
+
+}
+?>
Index: Dev/trunk/classes/SurveyEditorWidget.php
===================================================================
--- Dev/trunk/classes/SurveyEditorWidget.php	(revision 200)
+++ Dev/trunk/classes/SurveyEditorWidget.php	(revision 201)
@@ -10,5 +10,5 @@
  * @author Thijs Schipper
  */
-class surveyEditorWidget {
+class SurveyEditorWidget {
 
     private $loadedSurvey;
Index: Dev/trunk/classes/sessionEditorWidget.php
===================================================================
--- Dev/trunk/classes/sessionEditorWidget.php	(revision 200)
+++ 	(revision )
@@ -1,112 +1,0 @@
-<?php
-/*
- * To change this template, choose Tools | Templates
- * and open the template in the editor.
- */
-
-/**
- * A visual interface object for editing and viewing a session's pipeline.
- *
- * @author Tschipper
- */
-class SessionEditorWidget {
-
-    // properties
-    private $loadedSession;
-    private $selectedStep;
-    private $dbi;
-
-    public function __construct() {
-        $this->dbi = new DatabaseInterface();
-    }
-
-    public function init() {
-        $stringPipeline = "";
-        $stringPipelineType = "";
-        $stringPipelineUpdated = "";
-        $numberOfSteps = 0;
-
-        if (is_array($this->loadedSession->pipeline)) {
-            foreach ($this->loadedSession->pipeline as $object) {
-                $stringPipeline .= "$object->uid,";
-                $stringPipelineType .= get_class($object) . ",";
-                $stringPipelineUpdated .= "0,";
-                $numberOfSteps++;
-            }
-        } else {
-            $stringPipeline = $this->loadedSession->pipeline;
-            $stringPipelineType = $_POST['pipelineTypes'];
-            $stringPipelineUpdated = $_POST['pipelineUpdatedField'];
-        }
-        ?>
-        <br />
-
-        <div id="sequencer" class="largeFrame">
-            <div class="largeTitle">Name <?php echo $this->loadedSession->title; ?></div>
-            
-            <div id="seqContent" class="innerLargeFrame">
-                <div id="seqContentWrapper"></div>
-            </div>
-
-            <div class="controls">
-                <input type="button" id="moveSelectedL" value="< Move" class="smallButton"  onClick="moveStep(-1);" />
-                <input type="button" id="moveSelectedR" value="Move >" class="smallButton"  onClick="moveStep(1);" />
-                <input type="button" id="editSelected" value="Edit step" class="smallButton" onClick="editStep();" />
-                <input type="button" id="deleteSelected" value="Delete step" class="smallButton" onClick="deleteStep();" />
-                <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="smallButton dis" disabled="true"/>
-                <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
-                <input type="button" value="debug_save" onClick="savePipeline(true);" />
-            </div>
-            
-            <div id="hiddenInputs">
-                <input type="hidden" id="selectedStepField" value="" />
-                <input type="hidden" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
-                <input type="hidden" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
-                <input type="hidden" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
-                <input type="hidden" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
-                <input type="hidden" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
-                <input type="hidden" id="sessionTitleField" value="<?php echo $this->loadedSession->title; ?>" />
-            </div>
-        </div>
-
-        
-        <?php
-    }
-
-    public function Javascript() {
-        ?>
-        <script type="text/javascript" src="js/generalScripts.js"></script>
-        <script type="text/javascript" src="js/sequencerScripts.js"></script>
-        <script type="text/javascript" src="js/jquery.js"></script>
-        <script type="text/javascript">
-            $(document).ready(function() {
-                loadSequencer();
-            });
-        </script>
-        <?php
-    }
-
-    public function LoadSession() {   // Initialize variables on page load.
-        // Redirect if no session is set
-        if (!isset($_SESSION['currentSession'])) {
-            redirect("selectSession.php");
-        }
-        // Store the current session in internal variable
-        $results = $this->dbi->get("Session", array("uid"=> $_SESSION['currentSession']));
-        if (!empty($results)) {
-            if ($results[0]->evaluate()) {
-                $this->loadedSession = $results[0];
-            }
-        }
-        else {
-            // Throw error and quit if no results found
-            die("No session with that UID found!");
-        }
-    }
-
-    public function HandlePostData() {
-                
-    }
-
-}
-?>