Index: Dev/branches/Demo/classes/Logo.php
===================================================================
--- Dev/branches/Demo/classes/Logo.php	(revision 225)
+++ Dev/branches/Demo/classes/Logo.php	(revision 226)
@@ -1,4 +1,3 @@
 <?php
-
 /*
  * To change this template, choose Tools | Templates
@@ -12,17 +11,21 @@
  */
 class Logo {
-    
+
     // hardcoded logo div, image is defined in stylesheet. (#logo background:"";)
     public function __construct() {
-        echo '<div id="logo"><a href="index.php">Research Tool</a>';
-        if (isset($_SESSION['username'])) {
-            echo '<a href="index.php" onClick="savePipeline(true);" style="display:block; font-size: 12px;">Log out</a>';
-        }
-        echo '</div>';
-    
+        ?>
+
+        <div id="logo">
+            <div id="logoImage">
+                Research Tool
+            </div>
+            <div id="logoControls">
+                Welcome, Igor! <a href="logout.php">Log out</a>
+            </div>
+        </div>
+
+        <?php
     }
-    
-    
+
 }
-
 ?>
Index: Dev/branches/Demo/css/visualeditors.css
===================================================================
--- Dev/branches/Demo/css/visualeditors.css	(revision 225)
+++ Dev/branches/Demo/css/visualeditors.css	(revision 226)
@@ -18,4 +18,5 @@
 html {
     background-image: url('../images/bg/blueishgridblock.png');
+    /*background-image: url('../images/icons/nyan.gif');*/
     height: 100%;
     font-size: 12px;
@@ -27,4 +28,5 @@
     min-width: 800px;
     margin: 0 auto;
+    clear:both;
 }
 
@@ -33,4 +35,50 @@
     position: relative;
     padding: 2em 0;
+}
+
+#logo {
+    float: left;
+    width:250px;
+    margin: 0 0 10px 0;
+    padding: 10px 40px;
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    border: 1px solid #FFF;
+    border-top-style: none;
+}
+
+#logo #logoImage {
+    color: #FFF;
+    margin: 0;
+    padding: 0;
+    font: bold 22px Arial;
+}
+
+#logo #logoControls {
+    border-top: 1px solid #555;
+    font: 12px Arial;
+    color: #555;
+    text-align: right;
+    width: auto;
+}
+
+#logoControls a {
+    color: #FFF;
+    font: bold 12px arial;
+    text-decoration: none;
+    text-align: right;
 }
 
@@ -112,4 +160,14 @@
 }
 
+.largeFrame.side {
+    clear: none;
+    margin: 0 10px;
+}
+
+.largeFrame.side .innerLargeFrame {
+    width: 400px;
+    height: 400px;
+}
+
 .smallFrame {
     margin: 0.5em auto;
@@ -198,5 +256,8 @@
 
 .bigButton.vertical {
-    width: 2em;
+    margin: 0.25em;
+    text-align: center;
+    min-width: 7em;
+    max-width: 12em;
     height: 2em;
     font-size: 20px;
@@ -216,4 +277,6 @@
     cursor: default;
 }
+
+.bigButton.icon
 
 .bigButton:hover {
@@ -444,5 +507,5 @@
     margin: 10px;
     padding: 5px;
-    
+
     height: auto;
     max-height: 400px;
Index: Dev/branches/Demo/index.php
===================================================================
--- Dev/branches/Demo/index.php	(revision 225)
+++ Dev/branches/Demo/index.php	(revision 226)
@@ -8,46 +8,57 @@
 
 //Even voor tijdelijk, aangezien er nog pagina's missen en redirects daarom niet goed werken:
-if (isset($_SESSION['userUid'])) {
-    redirect("logout.php");
-}
+//if (isset($_SESSION['userUid'])) {
+//    redirect("logout.php");
+//}
 
 $errorMessage[] = "";
 
 if (isset($_POST['register'])) {
-    if (isset($_POST['username']) && isset($_POST['password'])) {
-        $dbi = new DatabaseInterface();
-        $user_results = $dbi->get("user", array("name" => $_POST['username']));
-        if (count($user_results) == 0 || !$user_results) {
-            if (strlen($_POST['password']) > 6) {
-                $user = new User(null, $_POST['username'], $_POST['password']);
-                $dbi->set($user);
-                $_SESSION['userUid'] = $user->uid;
-            } else {
-                $errorMessage[] = "Password is too short";
-            }
-        }
-        else
-            $errorMessage[] = "Username already exists, try something else!";
-    }
-    else
-        $errorMessage[] = "Please fill in a username and password";
+    /*
+      if (isset($_POST['username']) && isset($_POST['password'])) {
+      $dbi = new DatabaseInterface();
+      $user_results = $dbi->get("user", array("name" => $_POST['username']));
+      if (count($user_results) == 0 || !$user_results) {
+      if (strlen($_POST['password']) > 6) {
+      $user = new User(null, $_POST['username'], $_POST['password']);
+      $dbi->set($user);
+      $_SESSION['userUid'] = $user->uid;
+      } else {
+      $errorMessage[] = "Password is too short";
+      }
+      }
+      else
+      $errorMessage[] = "Username already exists, try something else!";
+      }
+      else
+      $errorMessage[] = "Please fill in a username and password";
+
+      }
+
+      }
+     */
 }
 
 if (isset($_POST['login'])) {   // User clicked the login button
-    $dbi = new DatabaseInterface();
-    $user_results = $dbi->get("user", array("name" => $_POST['username']));
-    if (isset($user_results[0])) {
-        if ($user_results[0]->password == $_POST['password']) {
-            $_SESSION['userUid'] = $user_results[0]->uid;
-        } else {
-            $errorMessage[] = "Incorrect password!";
-        }
-    } else {
-        $errorMessage[] = "Username doesn't exist!";
-    }
-}
+    /* $dbi = new DatabaseInterface();
+      $user_results = $dbi->get("user", array("name" => $_POST['username']));
+      if (isset($user_results[0])) {
+      if ($user_results[0]->password == $_POST['password']) {
+      $_SESSION['userUid'] = $user_results[0]->uid;
+      } else {
+      $errorMessage[] = "Incorrect password!";
+      }
+      } else {
+      $errorMessage[] = "Username doesn't exist!";
+      }
+      }
 
-if (isset($_SESSION['userUid'])) {  // User just registered a new account
-    redirect('selectSession.php');
+      if (isset($_SESSION['userUid'])) {  // User just registered a new account
+      redirect('selectSession.php');
+      }
+
+
+     */
+    redirect('mainmenu.php');
 }
 ?>
@@ -58,5 +69,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Facilitator</title>
-        <?php new StyleSheet("awesome"); ?>
+        <?php new StyleSheet("visualeditors"); ?>
         <script type="text/javascript" src="js/menu.js"></script>
         <script type="text/javascript">
@@ -74,23 +85,27 @@
 
             <div id="content">
-                <div class="menu">
-                    <form action="index.php" method="POST">
-                        <h3>Username</h3>
-                        <input type="text" name="username"><br />
-                        <h3>Password</h3>
-                        <input type="password" name="password"><br/><br />
-                        <div id="errorDisplay">
-                            <?php
-                            foreach ($errorMessage as $message) {
-                                echo "<h3 style='color: #FF0000;'>$message</h3>";
-                            }
-                            ?>
-                        </div>
-                        <br/>
-                        <input type="submit" name="login" class="surveyButton bigSurveyButton" value="Log in">
-                    </form>
-                    <form action="register.php" method="POST">
-                        <input type="submit" name="register" class="surveyButton bigSurveyButton" value="Register">
-                    </form>
+                <div class="largeFrame">
+                    <div class="largeTitle">Log in</div>
+                    <div class="content">
+                        <form action="index.php" method="POST">
+                            <h3>Username</h3>
+                            <input type="text" name="username"><br />
+                            <h3>Password</h3>
+                            <input type="password" name="password"><br/><br />
+                            <div id="errorDisplay">
+                                <?php
+                                foreach ($errorMessage as $message) {
+                                    echo "<h3 style='color: #FF0000;'>$message</h3>";
+                                }
+                                ?>
+                            </div>
+                            <br/>
+                            <input type="submit" name="login" class="bigButton vertical" value="Log in">
+                        </form>
+                        <form action="register.php" method="POST">
+                            <input type="submit" name="register" class="bigButton vertical" value="Register" style="margin-bottom: 0.25em;">
+                        </form>
+                    </div>
+
                 </div>
             </div>
Index: Dev/branches/Demo/mainmenu.php
===================================================================
--- Dev/branches/Demo/mainmenu.php	(revision 225)
+++ Dev/branches/Demo/mainmenu.php	(revision 226)
@@ -1,28 +1,4 @@
 <?php
-require 'classes/master.php'; //should be at top of every page   
-     
-if (isset($_POST['login'])) {
-    if ($_POST['username'] == '')
-        die("Please log in!");
-    else {
-        $userDBI = new UserDatabaseInterface();
-        $user_exists = $userDBI->checkUserName($_POST['username']);
-        if ($user_exists) {
-            $correct_password = $userDBI->checkUserPassword($_POST);
-            /* session remembers login */
-            if (!$correct_password)
-                die("The password you entered is not correct!");
-            else
-                $_SESSION['username'] = $_POST['username'];
-        }
-        else
-            die("Unknown user name");
-    }
-}
-else if (is_null($_SESSION['username']))
-    redirect('index.php');
-
-$surveys = Loader::loadSurveys();
-$applications = Loader::loadApplications();
+require 'classes/master.php'; //should be at top of every page
 ?>
 
@@ -32,6 +8,6 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Facilitator</title>
-        <?php new StyleSheet(); ?>
-        <script type="text/javascript" src="js/menu.js"></script>
+        <?php new StyleSheet("visualeditors"); ?>
+        <script type="text/javascript" src="js/generalScripts.js"></script>
     </head>
     <body>
@@ -41,15 +17,25 @@
 
         <div id="wrapper">
+            <div id="content">
+                <div class="largeFrame side" id="adminPanel">
+                    <div class="largeTitle">Administrator</div>
+                    <div class="innerLargeFrame">
+                        <p>Use the below buttons to access, edit and create new sessions and content.</p><br />
+                        <input type="button" class="bigButton vertical" value="Browse Sessions" id="btnEditSessions" onClick="window.location='selectSession.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Surveys" id="btnEditSessions" onClick="window.location='selectSurvey.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Questions" id="btnEditSessions" onClick="window.location='selectQuestion.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Applications" id="btnEditSessions" onClick="window.location='selectApplication.php'" /><br />
 
-            <div id="content">
-                                
-                    <?php new SessionMenu(); ?>
-
-                    <?php new ApplicationMenu($applications); ?>
-                
-                    <?php new SurveyMenu($surveys); ?>
-                
-                    <?php new QuestionMenu(); ?>
-
+                    </div>
+                    <div class="controls"></div>
+                </div>
+                <div class="largeFrame side" id="facilitatorPanel">
+                    <div class="largeTitle">Facilitator</div>
+                    <div class="innerLargeFrame">
+                        <p>Use the Start button below to start hosting a session.</p>
+                        <input type="button" class="bigButton vertical" value="Start" id="btnFacStart" onClick="window.location='facpanel.php'" style="margin-top: 0.25em;"/>
+                    </div>
+                    <div class="controls"></div>
+                </div>
             </div>
         </div>
Index: Dev/branches/Demo/selectSession.php
===================================================================
--- Dev/branches/Demo/selectSession.php	(revision 225)
+++ Dev/branches/Demo/selectSession.php	(revision 226)
@@ -1,9 +1,9 @@
 <?php
 require 'classes/master.php'; //should be at top of every page
-
-if (!isset($_SESSION['userUid'])) {
-    redirect("index.php");
-}
-
+/*
+  if (!isset($_SESSION['userUid'])) {
+  redirect("index.php");
+  }
+ */
 if (isset($_SESSION['message'])) {
     echo $_SESSION['message'];
@@ -35,15 +35,8 @@
 }
 
-if (isset($_POST['deleteSession'])) {
-    if (isset($_POST['sessionUID'])) {
-        //Kan de database al objecten verwijderen?
-    }
-}
-
 if (isset($_POST['editSession'])) {
-	var_dump($_POST);
     if (isset($_POST['sessionUid'])) {
         $session_results = $dbi->get("SESSION", array("uid" => $_POST['sessionUid']));
-		var_dump($session_results);
+        var_dump($session_results);
         if (count($session_results) == 1 && $session_results[0] != null) {
             // DEZE SESSION MOET UITEINDELIJK EEN POST WORDEN, WANNEER DEZE HELE PAGINA IS OVERGEZET IN JAVASCRIPT!
@@ -65,5 +58,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Select a session</title>
-        <?php new StyleSheet("awesome"); ?>
+        <?php new StyleSheet("visualeditors"); ?>
         <script type="text/javascript" src="js/sequencerScripts.js"></script>
         <script type="text/javascript" src="js/generalScripts.js"></script>
@@ -76,45 +69,54 @@
         <div id="wrapper">
             <div id="content">
-                <form action="selectSession.php" method="POST">
-                    <fieldset name="selectionMenu">
-                        <!-- onchange van volgende select linkt deze aan de ajax-based info panel, script staat in sequencerScripts.js -->
-                        <select name="sessionUid" style="float: left;" onChange="ajaxInfoRequest(this.value, document.getElementById('infoPanelContent'), 'Session');">
-                            <option value="" disabled="true" selected>Please select a session</option>
-                            <?php
-                            foreach ($sessions as $session) {
-                                $selected = "";
-                                if ($session->title == $_POST['newSessionName']) {
-                                    $selected = ' selected="true"';
-                                }
+                <div class="largeFrame" id="sessionSelector" style="width: 400px;">
+                    <div class="largeTitle">Select session</div>
+                    <div class="content">
+                        <form action="selectSession.php" method="POST">
+                            <div style="float: left; clear: left;">
+                                <select name="sessionUid" style="float: left;" onChange="ajaxInfoRequest(this.value, document.getElementById('infoPanelContent'), 'Session');">
+                                    <option value="" disabled="true" selected>Please select a session</option>
+                                    <?php
+                                    foreach ($sessions as $session) {
+                                        $selected = "";
+                                        if ($session->title == $_POST['newSessionName']) {
+                                            $selected = ' selected="true"';
+                                        }
 
-                                echo '<option value="' . $session->uid . '"' . $selected . '>' . $session->title . '</option>' . "\n";
-                            }
-                            ?>                    
-                        </select>
-                        <br /><br />
-                        <input type="hidden" name="updateNeeded" value="true" />
-                        <input type="text" name="newSessionName" value="Name..." style="float: left;" /><br />
-                        <input type="submit" name="createSession" value="Create new session" class="surveybutton" style="float: left;" />
-                        <input type="submit" name="editSession" value="Edit session" class="surveybutton" style="float: left;" />
-                        <input type="submit" name="deleteSession" value="Delete session" class="surveybutton" style="float: left;" />
-                        <br /><br /><br />
-                        <div id="errorDisplay"><?php
-                            if (isset($errorMessage)) {
-                                foreach ($errorMessage as $message) {
-                                    echo $message;
-                                }
-                            }
-                            ?></div>
-                    </fieldset>
-                    <fieldset id="sessionDescription">
-                        <div class="fieldsetTitle">
-                            Info
-                        </div>
-                        <div id="infoPanelContent">
-                        </div>
-                    </fieldset>
+                                        echo '<option value="' . $session->uid . '"' . $selected . '>' . $session->title . '</option>' . "\n";
+                                    }
+                                    ?>                    
+                                </select>
+                                <input type="hidden" name="updateNeeded" value="true" />
+                                <input type="text" name="newSessionName" value="Name..." style="float: left; clear: left;" /><br />
+                            </div>
+                            <div style="float: left; clear: none;">
+                                <input type="submit" name="createSession" value="Create new session" class="smallButton vertical" style="float: left;" />
+                                <input type="submit" name="editSession" value="Edit session" class="smallButton vertical" style="float: left;" />
+                                <input type="submit" name="deleteSession" value="Delete session" class="smallButton vertical" style="float: left;" />
+                            </div>
+                            <div id="errorDisplay"><?php
+                                    if (isset($errorMessage)) {
+                                        foreach ($errorMessage as $message) {
+                                            echo $message;
+                                        }
+                                    }
+                                    ?>
+                            </div>
+                    </div>
+                </div>
+
+                <div id="sessionInfoPanel" class="largeFrame" style="margin-top: 10px; width: 400px; height: 100px;">
+                    <div class="largeTitle">
+                        Info
+                    </div>
+                    <div id="infoPanelContent" style="float: left; clear: left;">
+                        Info goes here
+                    </div>
+                </div>
                 </form>
             </div>
         </div>
-    </body>
+    </div>
+</div>
+</body>
 </html>
Index: Dev/branches/Demo/sessionEditor.php
===================================================================
--- Dev/branches/Demo/sessionEditor.php	(revision 225)
+++ Dev/branches/Demo/sessionEditor.php	(revision 226)
@@ -1,9 +1,9 @@
 <?php
 require 'classes/master.php'; //should be at top of every page
-
+/*
 if (!isset($_SESSION['userUid'])) {
     redirect('index.php');
 }
-
+*/
 $sequencer = new SessionEditorWidget();
 $sequencer->LoadSession(); //load session into php part of the sequencer